#!/usr/bin/python3
import numpy as np
import random as rand
import matplotlib.pyplot as plt

n=1000
alpha=np.arange(-2,2,0.1)

V=[]
W=[]
X=[]
Y=[]
Z=[]

for i in range(n):
    V.append(rand.gauss(0,1))
    X.append(3*V[i]+rand.gauss(0,1))
    Y.append(-X[i]+rand.gauss(0,1))
    Z.append(-alpha[0]*X[i]+rand.gauss(0,1))
    W.append(-4*V[i]+0.5*Y[i]+2*Z[i]+rand.gauss(0,1))

plt.plot(X,W,'x')
#plt.show()


#for a in alpha:
V=[]
W=[]
X=[]
Y=[]
Z=[]
for i in range(n):
    V.append(rand.gauss(0,1))
    X.append(3)
    Y.append(-X[i]+rand.gauss(0,1))
    Z.append(-alpha[0]*X[i]+rand.gauss(0,1))
    W.append(-4*V[i]+0.5*Y[i]+2*Z[i]+rand.gauss(0,1))
plt.plot(X,W,'x')

plt.show()
